# Define a variable for this so that the GConf root may be changed
gconf_root := /apps/Maemo/platdev_ex

# ... Listing cut for brevity ...

# This will setup the keys into default values.
# It will first do a clear to remove any existing keys.
primekeys: clearkeys
	gconftool-2 --set --type string \
	            $(gconf_root)/connection btcomm0
	gconftool-2 --set --type string \
	            $(gconf_root)/connectionparams 9600,8,N,1

# Remove all application keys
clearkeys:
	@gconftool-2 --recursive-unset $(gconf_root)

# Dump all application keys
dumpkeys:
	@echo Keys under $(gconf_root):
	@gconftool-2 --recursive-list $(gconf_root)
